Get all salespeople
curl --request GET \
--url https://app.flextell.ai/api/v1/salespeople \
--header 'Authorization: Bearer <token>' \
--header 'X-Tenant: <x-tenant>'import requests
url = "https://app.flextell.ai/api/v1/salespeople"
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Tenant': '<x-tenant>', Authorization: 'Bearer <token>'}
};
fetch('https://app.flextell.ai/api/v1/salespeople', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.flextell.ai/api/v1/salespeople",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Tenant: <x-tenant>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.flextell.ai/api/v1/salespeople"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Tenant", "<x-tenant>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.flextell.ai/api/v1/salespeople")
.header("X-Tenant", "<x-tenant>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.flextell.ai/api/v1/salespeople")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Tenant"] = '<x-tenant>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 123,
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"language": [
"<unknown>"
],
"avatar_url": "<string>",
"is_active": true,
"active_lead_cap": 123,
"is_lead_cap_unlimited": true,
"sales_cap": 123,
"work_hours": [
{
"day": "<string>",
"day_label": "<string>",
"enabled": true,
"open": "<string>",
"close": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"active_lead_count": "<string>",
"roles": [
{
"id": 123,
"name": "<string>"
}
],
"treatments": [
{
"id": 123,
"group_id": 123,
"name": "<string>",
"invoice_name": "<string>",
"keywords": [
"<unknown>"
],
"price": "<string>",
"tax_rate": 123,
"description": "<string>",
"session": 123,
"is_active": "<string>",
"extra_info": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"group": {
"id": 123,
"name": "<string>",
"is_active": true
},
"users": [
{
"id": 123,
"name": "<string>",
"avatar_url": "<string>"
}
],
"sessions": [
{
"id": 123,
"session_order": 123,
"session_type": "control",
"next_gap_days": 123,
"offset_days": 123,
"products": [
{
"id": 123,
"product_id": 123,
"min_quantity": 123,
"product": {
"id": 123,
"name": "<string>",
"full_name": "<string>",
"brand": {
"id": 123,
"name": "<string>"
},
"unit_code": {
"id": "<string>",
"name": "<string>",
"code": "<string>"
}
}
}
]
}
],
"import_source": {
"id": 123,
"name": "<string>",
"company_logo": null
}
}
],
"import_source": {
"id": 123,
"name": "<string>",
"company_logo": null
}
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"success": false,
"error_code": "SETUP_REQUIRED",
"message": "Complete the required setup steps to continue.",
"data": {
"next_step": "clinic_info"
}
}Salesperson
Get all salespeople
GET
/
v1
/
salespeople
Get all salespeople
curl --request GET \
--url https://app.flextell.ai/api/v1/salespeople \
--header 'Authorization: Bearer <token>' \
--header 'X-Tenant: <x-tenant>'import requests
url = "https://app.flextell.ai/api/v1/salespeople"
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Tenant': '<x-tenant>', Authorization: 'Bearer <token>'}
};
fetch('https://app.flextell.ai/api/v1/salespeople', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.flextell.ai/api/v1/salespeople",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Tenant: <x-tenant>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.flextell.ai/api/v1/salespeople"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Tenant", "<x-tenant>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.flextell.ai/api/v1/salespeople")
.header("X-Tenant", "<x-tenant>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.flextell.ai/api/v1/salespeople")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Tenant"] = '<x-tenant>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 123,
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"language": [
"<unknown>"
],
"avatar_url": "<string>",
"is_active": true,
"active_lead_cap": 123,
"is_lead_cap_unlimited": true,
"sales_cap": 123,
"work_hours": [
{
"day": "<string>",
"day_label": "<string>",
"enabled": true,
"open": "<string>",
"close": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"active_lead_count": "<string>",
"roles": [
{
"id": 123,
"name": "<string>"
}
],
"treatments": [
{
"id": 123,
"group_id": 123,
"name": "<string>",
"invoice_name": "<string>",
"keywords": [
"<unknown>"
],
"price": "<string>",
"tax_rate": 123,
"description": "<string>",
"session": 123,
"is_active": "<string>",
"extra_info": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"group": {
"id": 123,
"name": "<string>",
"is_active": true
},
"users": [
{
"id": 123,
"name": "<string>",
"avatar_url": "<string>"
}
],
"sessions": [
{
"id": 123,
"session_order": 123,
"session_type": "control",
"next_gap_days": 123,
"offset_days": 123,
"products": [
{
"id": 123,
"product_id": 123,
"min_quantity": 123,
"product": {
"id": 123,
"name": "<string>",
"full_name": "<string>",
"brand": {
"id": 123,
"name": "<string>"
},
"unit_code": {
"id": "<string>",
"name": "<string>",
"code": "<string>"
}
}
}
]
}
],
"import_source": {
"id": 123,
"name": "<string>",
"company_logo": null
}
}
],
"import_source": {
"id": 123,
"name": "<string>",
"company_logo": null
}
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"success": false,
"error_code": "SETUP_REQUIRED",
"message": "Complete the required setup steps to continue.",
"data": {
"next_step": "clinic_info"
}
}Yetkilendirmeler
oauth2bearer
The access token received from the authorization server in the OAuth 2.0 flow.
Başlıklar
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Sorgu Parametreleri
The search query matched against name and email.
Maximum string length:
255The number of items per page.
Gerekli aralık:
1 <= x <= 100The page number.
Gerekli aralık:
x >= 1The field to sort by.
Mevcut seçenekler:
name, email, created_at, updated_at, null The sort direction (asc or desc).
Mevcut seçenekler:
asc, desc, null Filter by active status.
Only return salespeople created on or after this date.
Only return salespeople created on or before this date.
Yanıt
Array of SalespersonResource
Show child attributes
Show child attributes